## ros-indigo-yocs-waypoints-navi 0.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(yocs_waypoints_navi)

find_package(catkin REQUIRED COMPONENTS actionlib
                                        actionlib_msgs
                                        geometry_msgs
                                        move_base_msgs
                                        nav_msgs
                                        roscpp
                                        tf
                                        visualization_msgs
                                        yocs_math_toolkit
                                        yocs_msgs)

catkin_package()

include_directories(include
                    ${catkin_INCLUDE_DIRS})
add_executable(${PROJECT_NAME}_node src/waypoints_navi.cpp
                                    src/main.cpp)
target_link_libraries(${PROJECT_NAME}_node ${catkin_LIBRARIES}
                                           ${Boost_LIBRARIES})
add_dependencies(${PROJECT_NAME}_node yocs_msgs_generate_messages_cpp)

install(TARGETS ${PROJECT_NAME}_node
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY resources
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-yocs-waypoints-navi (0.6.4-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-yocs-waypoints-navi (0.6.3-0trusty) trusty; urgency=high

  * Use header frame instead of world_frame for goal
  * Contributors: AlexReimann

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 04 Dec 2014 15:00:00 -0000

ros-indigo-yocs-waypoints-navi (0.6.2-0trusty) trusty; urgency=high

  * Merge branch 'waypoints_update' of https://github.com/yujinrobot/yujin_ocs into waypoints_update
  * yocs_waypoints_navi: minimal improvement
  * [yocs_waypoints_navi] public interfaces need to be public for the
    concert.
  * yocs_waypoints_navi: removes timeout when waiting for action server
  * yocs_waypoints_navi: adds special build message dependency for yocs_msgs
  * yocs_waypoints_navi: adds feedback when cancel goal fails
  * yocs_waypoints_navi: adds minor fixes and improvements
  * yocs_waypoints_navi: moves class declaration into a separate header file
  * yocs_waypoints_navi: removes commented out, old features
  * yocs_waypoints_navi: changes ROS API and interal logic
    * drop of config through yaml
    * drop of RViz inputs
    * adds way point and trajectory input
    * state logic updated to handle new inputs
  * Contributors: Daniel Stonier, Marcus Liebhardt

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sat, 29 Nov 2014 15:00:00 -0000

ros-indigo-yocs-waypoints-navi (0.6.0-0trusty) trusty; urgency=high

  * updating package informations. remove email for authors. updating maintainer
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 07 Jul 2014 15:00:00 -0000

ros-indigo-yocs-waypoints-navi (0.5.3-0trusty) trusty; urgency=high

  * Added support for YAML-CPP 0.5+.
    The new yaml-cpp API removes the "node >> outputvar;" operator, and
    it has a new way of loading documents. There's no version hint in the
    library's headers, so I'm getting the version number from pkg-config.
    This part of the patch is a port of the ones created by @ktossell for
    map_server and other packages.
    The new yaml-cpp also does not have FindValue.
  * Contributors: Scott K Logan

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 23 Mar 2014 15:00:00 -0000

ros-indigo-yocs-waypoints-navi (0.5.2-0trusty) trusty; urgency=high

  * Initial version.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 04 Nov 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-yocs-waypoints-navi
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonl@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-tf, ros-indigo-visualization-msgs, ros-indigo-yocs-math-toolkit, ros-indigo-yocs-msgs
Homepage: http://ros.org/wiki/yocs_waypoints_navi
Standards-Version: 3.9.2

Package: ros-indigo-yocs-waypoints-navi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-tf, ros-indigo-visualization-msgs, ros-indigo-yocs-math-toolkit, ros-indigo-yocs-msgs
Description: Simple tool for waypoints navigation with two functions: * Command the robot to go to a goal by passing through a series of waypoints. * Command the robot to constantly loop through a series of waypoints, useful for patrol.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-yocs-waypoints-navi//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
